Skip to main content
POST
/
api
/
2.0
/
medications
Create Medication
curl --request POST \
  --url https://sandbox.elationemr.com/api/2.0/medications/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auth_refills": 1,
  "icd10_codes": [
    {
      "code": "<string>",
      "description": "<string>"
    }
  ],
  "is_doc_med": true,
  "medication": {
    "active_ndcs": [
      "<string>"
    ],
    "id": 123,
    "is_controlled": false,
    "market_end_date": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "ndcs": [
      "<string>"
    ],
    "obsolete_date": "2023-11-07T05:31:56Z",
    "practice": 123,
    "rxnorm_cuis": [
      "<string>"
    ],
    "strength": "<string>",
    "type": "prescription"
  },
  "patient": 123,
  "practice": 123,
  "prescribing_physician": 123,
  "qty": "<string>",
  "start_date": "2023-12-25",
  "thread": {
    "is_permanent": true,
    "id": 123
  },
  "days_supply": 32767,
  "directions": "<string>",
  "document_date": "2023-11-07T05:31:56Z",
  "documenting_personnel": 123,
  "notes": "<string>",
  "num_samples": "<string>",
  "pharmacy_instructions": "<string>",
  "show_in_chart_feed": true
}
'
{
  "auth_refills": 1,
  "icd10_codes": [
    {
      "code": "<string>",
      "description": "<string>"
    }
  ],
  "is_doc_med": true,
  "medication": {
    "active_ndcs": [
      "<string>"
    ],
    "brand_name": "<string>",
    "created_date": "2023-11-07T05:31:56Z",
    "creation_type": "user",
    "form": "<string>",
    "generic_name": "<string>",
    "id": 123,
    "is_controlled": false,
    "market_end_date": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "ndcs": [
      "<string>"
    ],
    "obsolete_date": "2023-11-07T05:31:56Z",
    "practice": 123,
    "route": "<string>",
    "rxnorm_cuis": [
      "<string>"
    ],
    "strength": "<string>",
    "type": "prescription"
  },
  "patient": 123,
  "practice": 123,
  "prescribing_physician": 123,
  "qty": "<string>",
  "start_date": "2023-12-25",
  "thread": {
    "is_permanent": true,
    "dc_date": "2023-12-25",
    "id": 123
  },
  "allow_substitutions": true,
  "chart_date": "2023-11-07T05:31:56Z",
  "created_date": "2023-11-07T05:31:56Z",
  "days_supply": 32767,
  "deleted_date": "2023-11-07T05:31:56Z",
  "directions": "<string>",
  "document_date": "2023-11-07T05:31:56Z",
  "documenting_personnel": 123,
  "fulfillment": {
    "service_location": {
      "address_line1": "<string>",
      "name": "<string>",
      "practice": 123,
      "state": "<string>",
      "address_line2": "<string>",
      "city": "",
      "created_date": "2023-11-07T05:31:56Z",
      "deleted_date": "2023-11-07T05:31:56Z",
      "email": "jsmith@example.com",
      "fax": "<string>",
      "id": 123,
      "is_primary": false,
      "phone": "<string>",
      "place_of_service_code": 123,
      "status": "active",
      "zip": ""
    },
    "time_completed": "2023-11-07T05:31:56Z",
    "detail": "<string>",
    "pharmacy_ncpdpid": "<string>",
    "state": "<string>"
  },
  "id": 123,
  "last_modified": "2023-11-07T05:31:56Z",
  "notes": "<string>",
  "num_samples": "<string>",
  "pharmacy_instructions": "<string>",
  "send_rx_reminder": true,
  "show_in_chart_feed": true,
  "signed_by": 123,
  "signed_date": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
auth_refills
integer | null
required

The number of refills, excluding this order, that the patient is authorized for.

Required range: x >= 0
icd10_codes
object[]
required
is_doc_med
boolean
required

If the medication order is intended to document a med instead of draft a prescription. When it is true, the object will be automatically signed as a documented medication, otherwise the object will be created as a draft prescription.

medication
object
required

Medication object (must provide one of id, ndc, rxnorm_cuis required).

medication_type
enum<string>
required

If this is OTC or a prescription.

  • otc - otc
  • prescription - prescription
Available options:
otc,
prescription
order_type
enum<string>
required

If the medication order is new, a refill or a change in dosage.

  • New - New
  • Refill - Refill
  • DoseChange - Change
Available options:
New,
Refill,
DoseChange
patient
integer<int64>
required

The patient the medication order is for.

practice
integer<int64>
required

The practice the medication order is for.

prescribing_physician
integer<int64>
required

The physician who is prescribing the medication.

qty
string<decimal> | null
required

The quantity of the medication.

Pattern: ^-?\d{0,18}(?:\.\d{0,9})?$
qty_units
required

The units that match the amount, e.g. capsules.

  • BAG - BAG
  • BOTTLE - BOTTLE
  • BOX - BOX
  • CAPSULE - CAPSULE
  • CARTRIDGE - CARTRIDGE
  • CONTAINER - CONTAINER
  • DROP - DROP
  • GRAM - GRAM
  • INHALER - INHALER
  • INTERNATIONAL UNITE - INTERNATIONAL UNITE
  • KIT - KIT
  • LITER - LITER
  • LOZENGE - LOZENGE
  • MILLIGRAM - MILLIGRAM
  • MILLILITER - MILLILITER
  • MILLION UNITS - MILLION UNITS
  • MUTUALLY DEFINED - MUTUALLY DEFINED
  • FLUID OUNCE - FLUID OUNCE
  • NOT SPECIFIED - NOT SPECIFIED
  • PACK - PACK
  • PACKET - PACKET
  • PINT - PINT
  • SUPPOSITORY - SUPPOSITORY
  • SYRINGE - SYRINGE
  • TABLESPOON - TABLESPOON
  • TABLET - TABLET
  • TEASPOON - TEASPOON
  • TRANSDERMAL PATCH - TRANSDERMAL PATCH
  • TUBE - TUBE
  • UNIT - UNIT
  • VIAL - VIAL
  • EACH - EACH
  • GUM - GUM
  • AMPULE - AMPULE
  • APPLICATOR - APPLICATOR
  • APPLICATORFUL - APPLICATORFUL
  • BAR - BAR
  • BEAD - BEAD
  • BLISTER - BLISTER
  • BLOCK - BLOCK
  • BOLUS - BOLUS
  • CAN - CAN
  • CANISTER - CANISTER
  • CAPLET - CAPLET
  • CARTON - CARTON
  • CASE - CASE
  • CASSETTE - CASSETTE
  • CYLINDER - CYLINDER
  • DISK - DISK
  • DOSE PACK - DOSE PACK
  • DUAL PACK - DUAL PACK
  • FILM - FILM
  • GALLON - GALLON
  • IMPLANT - IMPLANT
  • INHALATION - INHALATION
  • INHALER REFILL - INHALER REFILL
  • INSERT - INSERT
  • INTRAVENOUS BAG - INTRAVENOUS BAG
  • KILOGRAM - KILOGRAM
  • METRIC DROP - METRIC DROP
  • MILLIMETER - MILLIMETER
  • NEBULE - NEBULE
  • NEEDLE FREE INJECTION - NEEDLE FREE INJECTION
  • OCULAR SYSTEM - OCULAR SYSTEM
  • OUNCE - OUNCE
  • PACKAGE - PACKAGE
  • PAD - PAD
  • PAPER - PAPER
  • PATCH - PATCH
  • PEN NEEDLE - PEN NEEDLE
  • POUCH - POUCH
  • POUND - POUND
  • PRE-FILLED PEN SYRINGE - PRE-FILLED PEN SYRINGE
  • PUFF - PUFF
  • QUART - QUART
  • RING - RING
  • SACHET - SACHET
  • SCOOPFUL - SCOOPFUL
  • SPONGE - SPONGE
  • SPRAY - SPRAY
  • STICK - STICK
  • STRIP - STRIP
  • SWAB - SWAB
  • TABMINDER - TABMINDER
  • TAMPON - TAMPON
  • TRAY - TRAY
  • TROCHE - TROCHE
  • `` -
  • WAFER - WAFER
Available options:
BAG,
BOTTLE,
BOX,
CAPSULE,
CARTRIDGE,
CONTAINER,
DROP,
GRAM,
INHALER,
INTERNATIONAL UNITE,
KIT,
LITER,
LOZENGE,
MILLIGRAM,
MILLILITER,
MILLION UNITS,
MUTUALLY DEFINED,
FLUID OUNCE,
NOT SPECIFIED,
PACK,
PACKET,
PINT,
SUPPOSITORY,
SYRINGE,
TABLESPOON,
TABLET,
TEASPOON,
TRANSDERMAL PATCH,
TUBE,
UNIT,
VIAL,
EACH,
GUM,
AMPULE,
APPLICATOR,
APPLICATORFUL,
BAR,
BEAD,
BLISTER,
BLOCK,
BOLUS,
CAN,
CANISTER,
CAPLET,
CARTON,
CASE,
CASSETTE,
CYLINDER,
DISK,
DOSE PACK,
DUAL PACK,
FILM,
GALLON,
IMPLANT,
INHALATION,
INHALER REFILL,
INSERT,
INTRAVENOUS BAG,
KILOGRAM,
METRIC DROP,
MILLIMETER,
NEBULE,
NEEDLE FREE INJECTION,
OCULAR SYSTEM,
OUNCE,
PACKAGE,
PAD,
PAPER,
PATCH,
PEN NEEDLE,
POUCH,
POUND,
PRE-FILLED PEN SYRINGE,
PUFF,
QUART,
RING,
SACHET,
SCOOPFUL,
SPONGE,
SPRAY,
STICK,
STRIP,
SWAB,
TABMINDER,
TAMPON,
TRAY,
TROCHE,
WAFER
start_date
string<date>
required

The date on which the prescription started or will start.

thread
object
required
days_supply
integer | null
Required range: 0 <= x <= 65535
directions
string | null

The directions for the medication order.

Maximum string length: 1000
document_date
string<date-time>

The timestamp for when this prescription was first documented. Will be the same as the creation time unless this an historical data import.

documenting_personnel
integer<int64> | null

Physician object required if is_doc_med is true when creating.

notes
string | null

Any notes for the patient.

num_samples
string | null
Maximum string length: 50
pharmacy_instructions
string | null

Any notes for the pharmacy.

show_in_chart_feed
boolean

Response

201 - application/json
auth_refills
integer | null
required

The number of refills, excluding this order, that the patient is authorized for.

Required range: x >= 0
icd10_codes
object[]
required
is_doc_med
boolean
required

If the medication order is intended to document a med instead of draft a prescription. When it is true, the object will be automatically signed as a documented medication, otherwise the object will be created as a draft prescription.

medication
object
required

Medication object (must provide one of id, ndc, rxnorm_cuis required).

medication_type
enum<string>
required

If this is OTC or a prescription.

  • otc - otc
  • prescription - prescription
Available options:
otc,
prescription
order_type
enum<string>
required

If the medication order is new, a refill or a change in dosage.

  • New - New
  • Refill - Refill
  • DoseChange - Change
Available options:
New,
Refill,
DoseChange
patient
integer<int64>
required

The patient the medication order is for.

practice
integer<int64>
required

The practice the medication order is for.

prescribing_physician
integer<int64>
required

The physician who is prescribing the medication.

qty
string<decimal> | null
required

The quantity of the medication.

Pattern: ^-?\d{0,18}(?:\.\d{0,9})?$
qty_units
required

The units that match the amount, e.g. capsules.

  • BAG - BAG
  • BOTTLE - BOTTLE
  • BOX - BOX
  • CAPSULE - CAPSULE
  • CARTRIDGE - CARTRIDGE
  • CONTAINER - CONTAINER
  • DROP - DROP
  • GRAM - GRAM
  • INHALER - INHALER
  • INTERNATIONAL UNITE - INTERNATIONAL UNITE
  • KIT - KIT
  • LITER - LITER
  • LOZENGE - LOZENGE
  • MILLIGRAM - MILLIGRAM
  • MILLILITER - MILLILITER
  • MILLION UNITS - MILLION UNITS
  • MUTUALLY DEFINED - MUTUALLY DEFINED
  • FLUID OUNCE - FLUID OUNCE
  • NOT SPECIFIED - NOT SPECIFIED
  • PACK - PACK
  • PACKET - PACKET
  • PINT - PINT
  • SUPPOSITORY - SUPPOSITORY
  • SYRINGE - SYRINGE
  • TABLESPOON - TABLESPOON
  • TABLET - TABLET
  • TEASPOON - TEASPOON
  • TRANSDERMAL PATCH - TRANSDERMAL PATCH
  • TUBE - TUBE
  • UNIT - UNIT
  • VIAL - VIAL
  • EACH - EACH
  • GUM - GUM
  • AMPULE - AMPULE
  • APPLICATOR - APPLICATOR
  • APPLICATORFUL - APPLICATORFUL
  • BAR - BAR
  • BEAD - BEAD
  • BLISTER - BLISTER
  • BLOCK - BLOCK
  • BOLUS - BOLUS
  • CAN - CAN
  • CANISTER - CANISTER
  • CAPLET - CAPLET
  • CARTON - CARTON
  • CASE - CASE
  • CASSETTE - CASSETTE
  • CYLINDER - CYLINDER
  • DISK - DISK
  • DOSE PACK - DOSE PACK
  • DUAL PACK - DUAL PACK
  • FILM - FILM
  • GALLON - GALLON
  • IMPLANT - IMPLANT
  • INHALATION - INHALATION
  • INHALER REFILL - INHALER REFILL
  • INSERT - INSERT
  • INTRAVENOUS BAG - INTRAVENOUS BAG
  • KILOGRAM - KILOGRAM
  • METRIC DROP - METRIC DROP
  • MILLIMETER - MILLIMETER
  • NEBULE - NEBULE
  • NEEDLE FREE INJECTION - NEEDLE FREE INJECTION
  • OCULAR SYSTEM - OCULAR SYSTEM
  • OUNCE - OUNCE
  • PACKAGE - PACKAGE
  • PAD - PAD
  • PAPER - PAPER
  • PATCH - PATCH
  • PEN NEEDLE - PEN NEEDLE
  • POUCH - POUCH
  • POUND - POUND
  • PRE-FILLED PEN SYRINGE - PRE-FILLED PEN SYRINGE
  • PUFF - PUFF
  • QUART - QUART
  • RING - RING
  • SACHET - SACHET
  • SCOOPFUL - SCOOPFUL
  • SPONGE - SPONGE
  • SPRAY - SPRAY
  • STICK - STICK
  • STRIP - STRIP
  • SWAB - SWAB
  • TABMINDER - TABMINDER
  • TAMPON - TAMPON
  • TRAY - TRAY
  • TROCHE - TROCHE
  • `` -
  • WAFER - WAFER
Available options:
BAG,
BOTTLE,
BOX,
CAPSULE,
CARTRIDGE,
CONTAINER,
DROP,
GRAM,
INHALER,
INTERNATIONAL UNITE,
KIT,
LITER,
LOZENGE,
MILLIGRAM,
MILLILITER,
MILLION UNITS,
MUTUALLY DEFINED,
FLUID OUNCE,
NOT SPECIFIED,
PACK,
PACKET,
PINT,
SUPPOSITORY,
SYRINGE,
TABLESPOON,
TABLET,
TEASPOON,
TRANSDERMAL PATCH,
TUBE,
UNIT,
VIAL,
EACH,
GUM,
AMPULE,
APPLICATOR,
APPLICATORFUL,
BAR,
BEAD,
BLISTER,
BLOCK,
BOLUS,
CAN,
CANISTER,
CAPLET,
CARTON,
CASE,
CASSETTE,
CYLINDER,
DISK,
DOSE PACK,
DUAL PACK,
FILM,
GALLON,
IMPLANT,
INHALATION,
INHALER REFILL,
INSERT,
INTRAVENOUS BAG,
KILOGRAM,
METRIC DROP,
MILLIMETER,
NEBULE,
NEEDLE FREE INJECTION,
OCULAR SYSTEM,
OUNCE,
PACKAGE,
PAD,
PAPER,
PATCH,
PEN NEEDLE,
POUCH,
POUND,
PRE-FILLED PEN SYRINGE,
PUFF,
QUART,
RING,
SACHET,
SCOOPFUL,
SPONGE,
SPRAY,
STICK,
STRIP,
SWAB,
TABMINDER,
TAMPON,
TRAY,
TROCHE,
WAFER
start_date
string<date>
required

The date on which the prescription started or will start.

thread
object
required
allow_substitutions
boolean | null
read-only
chart_date
string<date-time>
read-only
created_date
string<date-time> | null
read-only
days_supply
integer | null
Required range: 0 <= x <= 65535
deleted_date
string<date-time> | null
read-only
directions
string | null

The directions for the medication order.

Maximum string length: 1000
document_date
string<date-time>

The timestamp for when this prescription was first documented. Will be the same as the creation time unless this an historical data import.

documenting_personnel
integer<int64> | null

Physician object required if is_doc_med is true when creating.

fulfillment
object
id
integer
read-only
last_modified
string<date-time>
read-only
notes
string | null

Any notes for the patient.

num_samples
string | null
Maximum string length: 50
pharmacy_instructions
string | null

Any notes for the pharmacy.

send_rx_reminder
boolean
read-only
show_in_chart_feed
boolean
signed_by
integer<int64> | null
read-only
signed_date
string<date-time> | null
read-only